/*@font-face {
  font-family: "Helvetica";
  src:
    url("/assets/fonts/HelveticaNeueLTPro-Roman.woff2") format("woff2"),
    url("/assets/fonts/HelveticaNeueLTPro-Roman.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Helvetica Condensed";
  src:
    url("/assets/fonts/HelveticaNeue-Bold.woff2") format("woff2"),
    url("/assets/fonts/HelveticaNeue-Bold.woff") format("woff");
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}*/

@font-face {
  font-family: "Encode Sans";
  src:
    url("/assets/fonts/EncodeSans-SemiBold.woff2") format("woff2"),
    url("/assets/fonts/EncodeSans-SemiBold.woff") format("woff");
  font-weight: 600;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Encode Sans";
  src:
    url("/assets/fonts/EncodeSans-Regular.woff2") format("woff2"),
    url("/assets/fonts/EncodeSans-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Encode Sans Condensed";
  src:
    url("/assets/fonts/EncodeSansCondensed-Black.woff2") format("woff2"),
    url("/assets/fonts/EncodeSansCondensed-Black.woff") format("woff");
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

::selection {
  background-color: #fecf0047;
}

* {
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
}
html,
body {
  padding: 0;
  margin: 0;
}
body {
  background-color: #4585c3;
  color: #fff;
  font-size: 16px;
  font-family: "Encode Sans", sans-serif;
}
a {
  text-decoration: none;
  transition: 0.3s ease all;
  color: #fff;
}
a:hover {
  color: #fff;
  text-decoration: none;
}
a.button {
  font-family: "Encode Sans Condensed", sans-serif;
  display: inline-block;
}
.content p a,
.wrapper a {
  position: relative;
}

.content p a::before,
.wrapper a::before {
  background: transparent;
  transition: 0.3s ease all;
  content: "";
  height: 2px;
  width: 100%;
  position: absolute;
  bottom: -2px;
  left: 0;
  right: 0;
}

.content p a:hover::before,
.wrapper a:hover::before {
  background: #fece0038;
}

a.button:hover {
  background-color: #4585c3;
}
button {
  transition: 0.3s ease all;
  font-family: "Encode Sans Condensed", sans-serif;
}
img {
  max-width: 100%;
  height: auto;
  vertical-align: middle;
}
ul {
  margin: 0;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Encode Sans Condensed", sans-serif;
  font-weight: normal;
  line-height: 1em;
}
h1 {
  font-size: 4rem;
  line-height: 0.9;
}
h2 {
  font-size: 3rem;
}
strong {
  font-family: "Encode Sans Condensed", sans-serif;
}
small {
  font-size: 11px;
}

.content {
  position: relative;
  padding-left: 1rem;
  padding-right: 1rem;
  position: relative;
  text-align: center;
  margin-top: -12rem;
  overflow: hidden;
}
main.secondary-page .content {
  margin-top: 7rem;
  text-align: left;
}
main.secondary-page .content h1 {
  font-size: 3rem;
}

.wrapper {
  max-width: 900px;
  margin: 0 auto;
}

.logo {
  position: absolute;
  top: 0;
  left: 1rem;
}
header {
  background-color: #4585c3;
  z-index: 9;
  position: relative;
}
header nav ul {
  list-style: none;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 0rem;
}
header nav ul li a {
  color: #fff;
  font-size: 1rem;
  padding: 1rem;
  display: inline-block;
}
header nav ul li a:hover,
header nav ul li.active a {
  color: #fbae17;
}
.mobile-menu-toggle {
  display: none;
}
header#site-header > .wrapper {
  display: flex;
  justify-content: flex-end;
}

section#hero {
  position: relative;
  overflow: hidden;
}
section#hero::before {
  content: "";
  display: block;
  width: 50%;
  height: 100%;
  background-color: #4585c3;
  background: linear-gradient(90deg, #4585c3, transparent);
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  mix-blend-mode: multiply;
}
.hero-text h1 {
  font-family: "Encode Sans Condensed", sans-serif;
  font-weight: bold;
}
.hero-image {
  width: 100%;
}
.hero-text {
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  left: 50%;
  width: 900px;
  max-width: 100%;
  padding: 0 1rem;
  margin: 0 auto;
}

.button {
  background-color: #005cb9;
  color: #fff;
  border-radius: 50rem;
  padding: 1rem 4rem;
}

/* Shapes */
.shape-divider {
  position: absolute;
  top: 85%;
  left: 50%;
  transform: translateX(-50%);
  width: 120%;
  max-width: 120%;
}
.shape1 {
  width: 20rem;
  height: 10rem;
  position: absolute;
  top: 20rem;
  left: -5rem;
  z-index: -1;
}
.shape2 {
  width: 18rem;
  height: 18rem;
  position: absolute;
  top: 50%;
  right: -8rem;
  z-index: -1;
}
.shape3 {
  width: 18rem;
  height: 18rem;
  position: absolute;
  top: 65%;
  left: -10rem;
  z-index: -1;
}
.shape4 {
  width: 29rem;
  height: 8rem;
  position: absolute;
  top: 80%;
  right: -8rem;
  z-index: -1;
}

/* Prizes */
section#prizes {
  position: relative;
  z-index: 9;
  display: grid;
  grid-template-columns: 1fr 1.5fr 1fr;
  align-items: center;
  justify-content: center;
  gap: 2rem;
  margin-bottom: 3rem;
}
.prize {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 0;
  position: relative;
  aspect-ratio: 1;
}
.prize::before {
  content: "";
  display: block;
  width: 100%;
  background-color: #005cb9;
  border-radius: 50%;
  aspect-ratio: 1;
  position: absolute;
  z-index: -1;
}
.prize span.count {
  background-color: #fbae17;
  border-radius: 50%;
  aspect-ratio: 1;
  color: #fff;
  font-size: 2rem;
  font-weight: bold;
  display: grid;
  justify-content: center;
  align-items: center;
  padding: 0.5rem;
  position: absolute;
  top: 0;
  left: 0;
  font-family: "Encode Sans Condensed", sans-serif;
  /* font-family: Arial, sans-serif; */
  line-height: 1.3;
}
.prize.prize-highlight {
}
.prize.prize-highlight span.count {
  font-size: 3rem;
  padding: 0.5rem;
  width: 5rem;
}
.prize p {
  text-align: center;
  padding: 0 3rem;
  font-size: 1.5rem;
  font-family: "Encode Sans", sans-serif;
  font-weight: bold;
}
.prize:first-child p {
  margin-top: 0rem;
}
.prize:last-child p {
  margin-top: -2rem;
}

/* Steps */
section#steps {
  display: grid;
  align-items: flex-start;
  justify-content: center;
  text-align: center;
  grid-template-columns: repeat(3, 1fr);
  gap: 5rem;
  margin-bottom: 3rem;
}
section#steps .step {
  text-align: center;
  font-family: "Encode Sans", sans-serif;
  font-weight: bold;
}
section#steps span.count {
  background-color: #fff;
  border-radius: 50%;
  aspect-ratio: 1;
  color: #005cb9;
  font-size: 2rem;
  font-weight: bold;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  line-height: 1;
  padding: 0.5rem;
  width: 3rem;
  height: 3rem;
  font-family: "Encode Sans Condensed", sans-serif;
  /* font-family: Arial, sans-serif; */
}
section#steps p {
  font-size: 1.5rem;
}

/* Form */
section#formular {
  padding: 4rem 0;
}
section#formular form {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 1rem;
  max-width: 500px;
  margin: 0 auto;
}
section#formular form input[type="text"],
section#formular form input[type="email"] {
  background-color: #fff;
  border-radius: 50rem;
  padding: 1rem 2rem;
  color: #005cb9;
  width: 100%;
  border: none;
  font-family: "Encode Sans", sans-serif;
  font-weight: bold;
  font-size: 1rem;
}
section#formular form input[type="text"]::placeholder,
section#formular form input[type="email"]::placeholder {
  color: #005cb9;
  font-family: "Encode Sans", sans-serif;
  font-weight: bold;
}
input:focus-visible,
button:focus-visible {
  outline: none;
  box-shadow: 0 0 0 3px #005cb9;
}

section#formular form input[type="checkbox"] {
  border-radius: 3px;
  border: 0;
  width: 1rem;
  height: 1rem;
  accent-color: #005cb9;
  margin: 0;
  flex-shrink: 0;
}

section#formular form .checkbox-group {
  display: flex;
  align-items: flex-start;
  gap: 0.5rem;
  text-align: left;
  width: 100%;
}
/* section#formular form .checkbox-group label {
  position: relative;
  cursor: pointer;
}
section#formular form .checkbox-group label:before {
  content: "";
  -webkit-appearance: none;
  background-color: transparent;
  border: 2px solid #005cb9;
  box-shadow:
    0 1px 2px rgba(0, 0, 0, 0.05),
    inset 0px -15px 10px -12px rgba(0, 0, 0, 0.05);
  padding: 10px;
  display: inline-block;
  position: relative;
  vertical-align: middle;
  cursor: pointer;
  margin-right: 5px;
}

section#formular form .checkbox-group input:checked + label:after {
  content: "";
  display: block;
  position: absolute;
  top: 2px;
  left: 9px;
  width: 6px;
  height: 14px;
  border: solid #005cb9;
  border-width: 0 2px 2px 0;
  transform: rotate(45deg);
} */
section#formular form button[type="submit"] {
  padding: 0.75rem 4rem;
  text-align: center;
  background-color: #fbae17;
  color: #005cb9;
  margin: 0 auto;
  border-radius: 50rem;
  border: none;
  font-size: 1.5rem;
  cursor: pointer;
}
section#formular form button[type="submit"]:hover {
  opacity: 0.7;
}
@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
section#formular form button[type="submit"] .icon-spinner {
  display: none;
  width: 15px !important;
  border: 2px solid #2f251f;
  border-top-color: transparent;
  aspect-ratio: 1/1;
  border-radius: 50%;
  animation: spin 1s infinite linear;
  margin-left: 0.5rem;
}

.alert {
  border: 1px solid #fff;
  padding: 1rem;
  border-radius: 1rem;
  position: relative;
  max-width: 400px;
  display: flex;
  align-items: center;
  gap: 1rem;
  transition: 0.3s ease all;
}
.alert p {
  margin: 0;
}
.alert-success::before {
  content: "";
  background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="%232bae89" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-circle-check-icon lucide-circle-check"><circle cx="12" cy="12" r="10"/><path d="m9 12 2 2 4-4"/></svg>')
    no-repeat;
  background-size: contain;
  width: 1rem;
  height: 1rem;
  display: inline-block;
}
.alert-warning::before {
  content: "";
  background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="%23fbae17" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-circle-alert-icon lucide-circle-alert"><circle cx="12" cy="12" r="10"/><line x1="12" x2="12" y1="8" y2="12"/><line x1="12" x2="12.01" y1="16" y2="16"/></svg>')
    no-repeat;
  background-size: contain;
  width: 1rem;
  height: 1rem;
  display: inline-block;
}
.alert-error::before {
  content: "";
  background: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none" stroke="%23ed8db2" stroke-width="2" stroke-linecap="round" stroke-linejoin="round" class="lucide lucide-circle-x-icon lucide-circle-x"><circle cx="12" cy="12" r="10"/><path d="m15 9-6 6"/><path d="m9 9 6 6"/></svg>')
    no-repeat;
  background-size: contain;
  width: 1rem;
  height: 1rem;
  display: inline-block;
}

/* Notes */
section.notes {
  text-align: center;
}

/* Footer */
footer {
  padding: 2rem 1rem;
  font-size: 0.8em;
}
footer ul {
  padding: 0;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
}
footer ul li {
  position: relative;
  line-height: 2;
}
footer ul li + li::before {
  content: "|";
  padding-left: 0.3em;
}
.footer-content {
  display: flex;
  gap: 1rem;
  justify-content: space-between;
}
.social {
  display: flex;
  gap: 1rem;
  align-items: flex-start;
  justify-content: center;
}
.social a {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 2rem;
  height: 2rem;
  color: #4585c3;
  padding: 0.25rem;
  background: #fff;
  border-radius: 99rem;
}
.social a:hover {
  background-color: rgba(255, 255, 255, 0.75);
}
.social a::before {
  display: none;
}
.social a svg {
  width: 1rem;
  height: 1rem;
}

@media (max-width: 1024px) {
  .logo {
    width: 4rem;
  }
  .hero-text {
    top: 35%;
  }
  h1 {
    font-size: 2rem;
    line-height: 1;
  }
}

@media (max-width: 768px) {
  .logo {
    z-index: 9;
  }
  .mobile-menu-toggle {
    display: flex;
    padding-top: 1rem;
    padding-bottom: 1rem;
    margin-right: 1rem;
    justify-self: end;
    z-index: 99;
    position: relative;
  }
  header {
    z-index: 999;
    min-height: 50px;
    position: sticky;
    top: 0;
  }
  header nav {
    position: fixed;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-110dvh);
    transition: 0.3s ease all;
    inset: 0;
    width: 100%;
    height: 100%;
    background-color: #005cb9eb;
    display: flex;
  }
  header nav ul {
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 1rem;
    padding: 8rem 1rem 2rem 1rem;
    flex-grow: 1;
  }
  header nav ul li a {
    padding: 0.5rem;
    font-size: 1.5rem;
  }
  body main {
    transition: 0.3s ease all;
  }
  body.mobile-menu-open main {
    filter: blur(2px);
  }
  header nav.active {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
  }

  .hamburger {
    position: relative;
    width: 1.5rem;
    height: 1rem;
    font-size: inherit;
    transition: all 0.3s ease;
    cursor: pointer;
  }
  .hamburger-line {
    position: absolute;
    right: 0;
    width: 100%;
    height: 2px;
    border-radius: 0.125em;
    background: #fff;
    transition: inherit;
  }
  .hamburger-line:nth-child(1) {
    top: 0px;
  }
  .hamburger-line:nth-child(2) {
    top: 6px;
  }
  .hamburger-line:nth-child(3) {
    top: 12px;
  }
  body.mobile-menu-open .hamburger-line:nth-child(1) {
    top: 50%;
    transform: translateY(-50%) rotateZ(-135deg);
  }
  body.mobile-menu-open .hamburger-line:nth-child(2) {
    right: 50%;
    width: 0;
  }
  body.mobile-menu-open .hamburger-line:nth-child(3) {
    top: 50%;
    width: 100%;
    transform: translateY(-50%) rotateZ(135deg);
  }
  body.mobile-menu-open {
    overflow: clip;
    /* height: 100dvh; */
  }

  .hero-text {
    top: 50%;
  }
  .hero-image {
    height: 50dvh;
    object-fit: cover;
    object-position: left;
  }
  .shape-divider {
    top: 90%;
  }
  .prize span.count {
    width: 5rem;
    padding: 0.5rem;
  }
  .prize.prize-highlight span.count {
    width: 6rem;
    padding: 0.5rem;
  }
  .prize:nth-child(2) p {
    margin-top: 0rem;
  }
  section#prizes .prize:nth-child(1) {
    order: 2;
  }
  section#prizes .prize:nth-child(2) {
    order: 1;
  }
  section#prizes .prize:nth-child(3) {
    order: 3;
  }
  section#prizes,
  section#steps {
    grid-template-columns: 1fr;
    padding-left: 4rem;
    padding-right: 4rem;
  }
  section#steps {
    gap: 1rem;
  }
  .content {
    margin-top: 0;
  }
  .shape2 {
    right: -15rem;
  }

  footer ul li {
    width: 100%;
  }
  footer ul li + li::before {
    display: none;
  }
}
